PCP-DMCACHE(1)

NAME
pcp-dmcache, pcp-lvmcache - report on logical storage device caches

SYNOPSIS
pcp [pcp options] dmcache [-iRV?] [device ...]

DESCRIPTION
pcp-dmcache reports on the activity of any configured Device Mapper Cache targets. The reported information includes device IOPs, cache and metadata device utilization, as well as hit and miss rates and ratios for both reads and writes for each cache device.

pcp-lvmcache (Logical Volume Manager cache) is an exact synonym for pcp-dmcache (Device Mapper cache).

By default, pcp-dmcache reports on all available cache target devices (one line each, per sample), but this can be restricted to specific devices on the command line.

OPTIONS
When invoked via the pcp(1) command, the -h/ --host, -a/ --archive, -O/ --origin, -s/ --samples, -t/ --interval, -Z/ --timezone and several other pcp options become indirectly available; refer to PCPIntro(1) for a complete description of these options.

The additional command line options available for pcp-dmcache are:

-i, --iops
    displays total read and write operations instead of the default cache hit ratio.

-R, --repeat
    changes the frequency at which the column heading is displayed. By default, a header is displayed after every tenth sample.

-V, --version
    Display version number and exit.

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1), pmdadm(1), dmsetup(1) and lvmcache(7).